LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 07-21-2018, 06:14 PM   #1
Didier Spaier
LQ Addict
 
Registered: Nov 2008
Location: Paris, France
Distribution: Slint64-15.0
Posts: 11,058

Rep: Reputation: Disabled
Thunderbird version 60.0 preview


Forwarding the post from Wayne Mery:
https://mail.mozilla.org/pipermail/t...ly/001420.html

If you are adventurous, please test, but read carefully the whole message first. The will be no compensation for lost settings, emails or contacts

Have fun!
 
Old 07-22-2018, 12:14 PM   #2
ponce
LQ Guru
 
Registered: Aug 2004
Location: Pisa, Italy
Distribution: Slackware
Posts: 7,098

Rep: Reputation: 4175Reputation: 4175Reputation: 4175Reputation: 4175Reputation: 4175Reputation: 4175Reputation: 4175Reputation: 4175Reputation: 4175Reputation: 4175Reputation: 4175
if anybody wants to build it using the SlackBuild in current, I'm doing it here with some little modifications
Code:
--- ./mozilla-thunderbird.SlackBuild.orig       2018-05-22 20:12:38.958686420 +0200
+++ ./mozilla-thunderbird.SlackBuild    2018-07-10 22:18:32.843948000 +0200
@@ -123,7 +123,7 @@
 PATH=$TMP/autoconf-tmp/usr/bin:$PATH
 
 cd $TMP
-rm -rf thunderbird-$VERSION
+rm -rf thunderbird-$RELEASEVER
 # Unpack this in a subdirectory to prevent changing permissions on /tmp:
 rm -rf thunderbird-unpack
 mkdir thunderbird-unpack
@@ -132,10 +132,10 @@
 mv * ..
 cd ..
 rm -rf thunderbird-unpack
-cd thunderbird-$VERSION || exit 1
+cd thunderbird-$RELEASEVER || exit 1
 
 # Retain GTK+ v2 scrolling behavior:
-zcat $CWD/tb.ui.scrollToClick.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/tb.ui.scrollToClick.diff.gz | patch -p2 --verbose || exit 1
 
 # Fetch localization, if requested:
 if [ ! -z $MOZLOCALIZE ]; then
@@ -168,10 +168,9 @@
   --enable-official-branding \
   --prefix=/usr \
   --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --with-default-mozilla-five-home=/usr/lib${LIBDIRSUFFIX}/thunderbird-$RELEASEVER \
   --with-system-zlib \
   --enable-alsa \
-  --enable-application=mail \
+  --enable-application=comm/mail \
   $ENABLE_CALENDAR \
   --enable-default-toolkit=cairo-gtk3 \
   --enable-startup-notification \
@@ -231,8 +230,9 @@
 # Add the $OPTIONS above to .mozconfig:
 for option in $OPTIONS; do echo "ac_add_options $option" >> .mozconfig; done
 
-make -f client.mk build || exit 1
-make -f client.mk install DESTDIR=$PKG || exit 1
+./mach build || exit 1
+./mach buildsymbols || exit 1
+DESTDIR=$PKG ./mach install || exit 1
 
 # We don't need these (just symlinks anyway):
 rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/thunderbird-devel-$RELEASEVER
@@ -270,7 +270,7 @@
 
 # Need some default icons in the right place:
 for i in 16 22 24 32 48 256; do
-  install -m 0644 -D other-licenses/branding/thunderbird/mailicon${i}.png \
+  install -m 0644 -D comm/mail/branding/thunderbird/default${i}.png \
     $PKG/usr/share/icons/hicolor/${i}x${i}/apps/thunderbird.png
 done
 mkdir -p $PKG/usr/share/pixmaps
 
4 members found this post helpful.
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Most recent Thunderbird version? TheNutCase Slackware 4 11-15-2017 04:49 AM
Latest Thunderbird version CollieJim Ubuntu 2 09-10-2011 01:48 PM
LXer: Linux Mint 11 (Katya) Preview and Testing Version Released! LXer Syndicated Linux News 0 05-06-2011 07:30 AM
EnigMail version for Slackware Thunderbird 2.0 tgz Z038 Slackware 2 05-12-2007 10:14 PM
LXer: Thunderbird 2.0 preview LXer Syndicated Linux News 1 08-04-2006 07:15 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 04:59 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration